<script>
// import { onShareAppMessage, onShareTimeline } from '@dcloudio/uni-app'
	export default {
		onLaunch: function() {
			// wx.showShareMenu({
			// 	withShareTicket: true,
			// 	menus: ['shareAppMessage', 'shareTimeline']
			// })
			// onShareAppMessage(() => {
			// 	return {
			// 		title: '门墩儿 专注顶尖招聘',
			// 		path: '/pages/index/position',
			// 		imageUrl: '../../static/img/share-poster.jpg'
			// 	}
			// })
			// onShareTimeline(() => {
			// 	return {
			// 		title: '门墩儿 专注顶尖招聘',
			// 		path: '/pages/index/position',
			// 		imageUrl: '../../static/img/share-poster.jpg'
			// 	}
			// })
			console.log('App Launch')
			uni.setStorageSync('firstOpen', true)

			const updateManager = uni.getUpdateManager();
			updateManager.onCheckForUpdate(function(res){});
			
			updateManager.onUpdateReady(function(res){
				uni.showModal({
					title: '更新提示',
					content:'发现新版本，是否重启应用',
					success(res) {
						if(res.confirm) {
							updateManager.applyUpdate();
						}
					}
				})
			});
			
			updateManager.onUpdateFailed(function(res) {
				//新本版下载失败
				uni.showModal({
					title:'失败提示',
					content:'新版本下载失败，请手动删掉小程序后重新搜索进入小程序'
				})
			})
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	/*每个页面公共css */
	@import '@/uni_modules/uni-scss/index.scss';
	/* #ifndef APP-NVUE */
	@import '@/static/iconfont.wxss';
	@import '@/static/style/index.scss';
	// 设置整个项目的背景色
	page {
		background-color: #ffffff;
	}

	/* #endif */
	.example-info {
		font-size: 14px;
		color: #333;
		padding: 10px;
	}

		/* 隐藏scroll-view的滚动条 */
		::-webkit-scrollbar {
    display: none;
    width: 0 !important;
    height: 0 !important;
    -webkit-appearance: none;
    background: transparent;
    color: transparent;
  }
	uni-scroll-view .uni-scroll-view::-webkit-scrollbar {
    display: none;
    width: 0 !important;
    height: 0 !important;
    -webkit-appearance: none;
    background: transparent;
    color: transparent;
  }
</style>
